<script lang="ts">
  export let value: string
  export let display: string = ''
  export let classNames: string = ''

  function fireKeyEvent (key) {
    const event = new KeyboardEvent('keydown', { key })
    window.dispatchEvent(event)
  }
</script>

<div
  role="button"
  tabindex="0"
  on:click={() => fireKeyEvent(value)}
  on:keydown
  class="w-full h-12 bg-[#216D9A] border-2 border-white rounded-md flex justify-center items-center cursor-pointer transition-all duration-75 active:translate-y-1
  {classNames}"
>
   <!-- eslint-disable-next-line svelte/no-at-html-tags -->
  <span class="text-white text-lg font-bold">{@html display || value}</span>
</div>
